Historique d'état d'une opération
curl --request GET \
--url https://guichet.apidjonanko.tech/v1/operations/{reference}/events \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://guichet.apidjonanko.tech/v1/operations/{reference}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guichet.apidjonanko.tech/v1/operations/{reference}/events"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://guichet.apidjonanko.tech/v1/operations/{reference}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"fromStatus": null,
"toStatus": "CREATED",
"reason": "Opération enregistrée",
"occurredAt": "2026-10-01T10:12:04.000Z"
},
{
"fromStatus": "CREATED",
"toStatus": "AWAITING_PAYER",
"reason": "Réponse de soumission",
"occurredAt": "2026-10-01T10:12:05.000Z"
},
{
"fromStatus": "AWAITING_PAYER",
"toStatus": "SUCCEEDED",
"reason": "Confirmation reçue",
"occurredAt": "2026-10-01T10:13:47.000Z"
}
]
}{
"success": false,
"error": {
"code": "INVALID_CREDENTIALS",
"message": "Identifiants API invalides."
},
"requestId": "9f1c2b7e-4a5d-4c8f-b0a1-e2d3c4b5a697",
"timestamp": "2026-10-01T10:12:04.000Z"
}{
"success": false,
"error": {
"code": "INSUFFICIENT_BALANCE",
"message": "Le solde disponible de votre portefeuille est insuffisant.",
"details": {}
},
"requestId": "9f1c2b7e-4a5d-4c8f-b0a1-e2d3c4b5a697",
"timestamp": "2023-11-07T05:31:56Z"
}Opérations
Historique d'état d'une opération
Chaque changement d’état, dans l’ordre chronologique. Utile pour comprendre le parcours d’une opération lors d’un litige.
GET
/
operations
/
{reference}
/
events
Historique d'état d'une opération
Authorizations
Votre clé publique, préfixée gk_live_ (ou gk_test_).
Votre secret, préfixé gs_live_ (ou gs_test_). Affiché une seule fois, à l'émission de la clé. Il ne doit jamais quitter vos serveurs.
Path Parameters
Example:
"GUI-CI-20261001-7K2M9QX4"
Response
Historique.
Show child attributes
Show child attributes
